---
title: PointerEvent.pressure
slug: Web/API/PointerEvent/pressure
tags:
  - API
  - DOM
  - Interface
  - PointerEvent
  - Property
  - Reference
---
<div>{{ APIRef("Pointer Events") }}</div>

<p>The <strong><code>pressure</code></strong> read-only property of the {{domxref("PointerEvent")}} interface indicates the normalized pressure of the pointer input.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>pressure</em> = <em>pointerEvent</em>.pressure;
</pre>

<h3 id="Return_value">Return value</h3>

<dl>
 <dt><code>pressure</code></dt>
 <dd>The normalized pressure of the pointer input in the range of <code>0</code> to <code>1</code>, inclusive, where <code>0</code> and <code>1</code> represent the minimum and maximum pressure the hardware is capable of detecting, respectively. For hardware that does not support pressure, such as a mouse, the value is <code>0.5</code> when the pointer is active buttons state and <code>0</code> otherwise.</dd>
</dl>

<h2 id="Example">Example</h2>

<p>In this snippet, when a {{event("pointerdown")}} event is fired, different functions are called depending on the value of the event's <code>pressure</code> property.</p>

<pre class="brush: js">someElement.addEventListener('pointerdown', function(event) {
  if (event.pressure == 0) {
    // No pressure
    process_no_pressure(event);
  } else if (event.pressure == 1) {
    // Maximum pressure
    process_max_pressure(event);
  } else {
    // Default
    process_pressure(event);
  }
}, false);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Pointer Events 2','#dom-pointerevent-pressure', 'pressure')}}</td>
   <td>{{Spec2('Pointer Events 2')}}</td>
   <td>Non-stable version.</td>
  </tr>
  <tr>
   <td>{{SpecName('Pointer Events', '#widl-PointerEventInit-pressure', 'pressure')}}</td>
   <td>{{Spec2('Pointer Events')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div class="hidden">
<p>The compatibility table on this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>
</div>

<p>{{Compat("api.PointerEvent.pressure")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{ domxref("Touch.force") }}</li>
</ul>
